# PSoundChannelPluginServiceDescriptor< className > Class Template Reference

`#include <sound.h>`

Inheritance diagram for PSoundChannelPluginServiceDescriptor< className >:

List of all members.

## Public Member Functions

virtual PObject * | CreateInstance (int) const
virtual PStringArray | GetDeviceNames (int userData) const

### template<class className>
class PSoundChannelPluginServiceDescriptor< className >

## Member Function Documentation

template<class className>

virtual PObject* PSoundChannelPluginServiceDescriptor< className >::CreateInstance | ( | int |  | ) | const`[inline, virtual]`

Implements PDevicePluginServiceDescriptor.

template<class className>

virtual PStringArray PSoundChannelPluginServiceDescriptor< className >::GetDeviceNames | ( | int | userData | ) | const`[inline, virtual]`

Implements PDevicePluginServiceDescriptor.

The documentation for this class was generated from the following file:

- sound.h